%define module xcaplib

Name:           python-%{module}
Version:        1.1.0
Release:        %mkrel 1
Summary:        Client for managing full or partial XML documents on XCAP servers (RFC 4825)
Group:          Development/Python
License:        GPLv2
URL:            http://openxcap.org/
Source0:        http://download.ag-projects.com/XCAP/python-%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
XCAP protocol, defined in RFC 4825, allows a client to read, write, and
modify application configuration data stored in XML format on a server. XCAP
maps XML document sub-trees and element attributes to HTTP URIs, so that
these components can be directly accessed by HTTP. An XCAP server used by
XCAP clients to store data like presence policy in combination with a SIP
Presence server that supports PUBLISH/SUBSCRIBE/NOTIFY SIP methods can
provide a complete SIP SIMPLE solution.


%prep
%setup -q 

%build
%{__python} setup.py build


%install
%__rm -rf %buildroot
%__python setup.py install --root %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/xcapclient
%{python_sitelib}/%{module}/
%{python_sitelib}/*%{module}*.egg-info


%changelog
* Mon Sep 07 2015 Ken <lxgator at gmail.com> 1.1.0-1pclos2015
- Initial pkg
